using System;

namespace PecinaA
{
    internal class Program
    {
        static void Main()
        {
            string[] input = Console.ReadLine().Split();
            int N = int.Parse(input[0]), L = int.Parse(input[1]);
            input = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                if (int.Parse(input[i]) <= L)
                {
                    Console.Write(i + 1);
                    return;
                }
            }
            Console.Write(-1);
        }
    }
}